.main-footer {
    padding: 0;
    background-color: var(--background-color);
}


.m-footer {
    display: flex;
    flex-direction: column;
    padding: var(--spacing-8) var(--spacing-3);
    background-color: var(--main-color);
}

.m-footer .footer-info {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 14px;
    padding-bottom: var(--spacing-4);
}

.m-footer .footer-info .head {
    font-size: 1.5rem;
}

.m-footer .footer-info .badge {
    font-size: 1.125rem;
    padding: var(--spacing-2) var(--spacing-3) 6px var(--spacing-3);
}

.m-footer .footer-info .badge {
    background-color: #fff;
    border-radius: 50px;
}

.m-footer .footer-bottom {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: var(--spacing-4);
    padding-top: 14px;
    border-top: 1px solid var(--border-color);
}

.m-footer .footer-bottom .footer-link {
    display: flex;
    justify-content: center;
    align-items: center;
}

.m-footer .footer-bottom .link-item {
    font-size: 0.9rem;
}

.m-footer .footer-bottom span {
    font-size: 0.9rem;
}

.m-button-area .footer-button {
    display: flex;
    justify-content: center;
    align-items: center;

    padding: var(--spacing-8) 0;

    background-color: #4438da;
}

.m-button-area .footer-button-item a {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: var(--spacing-2);

    padding: 0 var(--spacing-3);
    border-right: 1px solid var(--border-color);

    font-weight: 700;
    color: #fff;
}

.m-button-area .footer-button-item:last-child a {
    border: none;
}

.m-button-area .footer-button-item a img {
    width: 24px;
}

.main-footer .footer-inner {
    display: none;
}

.main-footer .footer-inner .left {
    display: flex;
    flex-direction: column;
}

.main-footer .footer-inner .left address {
    margin-top: var(--spacing-2);
    font-size: 0.875rem;
}

.main-footer .footer-inner .right {
    display: flex;
    flex-direction: row;
    gap: var(--spacing-4);
}

.main-footer .pc-bar,
.main-footer .line-break {
    display: none; /* 모바일에서는 숨김 */
}

@media (min-width: 768px) {
    .m-footer {
        padding: 64px var(--spacing-6);
    }

    .m-footer .footer-info {
        gap: 28px;
        padding-bottom: var(--spacing-8);
    }
    
    .m-footer .footer-info .head {
        font-size: 3.75rem;
    }

    .m-footer .footer-info .badge {
        font-size: 1.875rem;
        padding: var(--spacing-4) var(--spacing-6) var(--spacing-3) var(--spacing-6);
    }

    .m-footer .footer-bottom {
        gap: var(--spacing-8);
        padding-top: 28px;
    }

    .m-footer .footer-bottom .link-item {
        font-size: 1.875rem;
    }

    .m-footer .footer-bottom span {
        font-size: 1.875rem;
    }

    .m-button-area .footer-button-item a {
        gap: var(--spacing-4);
        padding: 0 var(--spacing-8);
        font-size: 2rem;
    }

    .m-button-area .footer-button-item a img {
        width: 32px;
    }
}

@media (min-width: 1024px) {
    .main-footer .footer-inner {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: space-between;
        align-items: flex-start;
        gap: var(--spacing-2);

        padding: var(--spacing-6) var(--spacing-12);
    }

    .m-footer {
        display: none;
    }

    .m-button-area {
        display: none;
    }

    .main-footer .footer-inner .left {
        flex-direction: row;
        flex-wrap: wrap; 
        align-items: center;
        column-gap: var(--spacing-4); 
        row-gap: var(--spacing-1); 
        flex: 1;
    }

    .main-footer .pc-bar {
        display: inline;
        color: #ccc;
        font-size: 0.8rem;
    }

    .main-footer .line-break {
        display: block;
        flex-basis: 100%;
        height: 0;
        margin: 0;
    }

    .main-footer .footer-inner .left address {
        flex-basis: 100%;
        margin-top: var(--spacing-6);
        font-size: 1rem;
    }
}

@media (min-width: 1440px) {
    .main-footer .footer-inner {
        padding: var(--spacing-6) 260px;
    }
}